## class SG_EXPORT osg::PagedLOD

> PagedLOD

## Inheritance:

### Public Methods

PagedLOD()
PagedLOD(const PagedLOD&, const CopyOp& copyop=CopyOp::SHALLOW_COPY)
  Copy constructor using CopyOp to manage deep vs shallow copy
META_Node(osg, PagedLOD)
virtual void traverse(NodeVisitor& nv)
virtual bool addChild(Node* child)
virtual bool addChild(Node* child, float min, float max)
virtual bool addChild(Node* child, float min, float max, const std::string& filename)
virtual bool removeChild(Node* child)
void setFileName(unsigned int childNo, const std::string& filename)
const std::string& getFileName(unsigned int childNo) const
inline unsigned int getNumFileNames() const
  returns the number of filenames currently set.
inline FileNameList& getFileNameList()
  return the list of filename
inline const FileNameList& getFileNameList() const
  return the list of filename
void setTimeStamp(unsigned int childNo, double timeStamp)
double getTimeStamp(unsigned int childNo) const
inline unsigned int getNumTimeStamps() const
  returns the number of filenames currently set.
inline TimeStampList& getTimeStampList()
  return the list of time stamps
inline const TimeStampList& getTimeStampList() const
  return the list of time stamps
void removeExpiredChildren(double expiryTime, NodeList& removedChildren)
  Remove the children from the PagedLOD which haven't be visited since specified expiry time.

### Public Members

typedef std::vector<std::string> FileNameList
typedef std::vector<double> TimeStampList

### Protected Fields

FileNameList _fileNameList
TimeStampList _timeStampList

### Protected Methods

virtual ~PagedLOD()

### Inherited from LOD:

### Public Methods

void setCenterMode(CenterMode mode)
CenterMode getCenterMode() const
inline void setCenter(const Vec3& center)
inline const Vec3& getCenter() const
void setRange(unsigned int childNo, float min, float max)
inline float getMinRange(unsigned int childNo) const
inline float getMaxRange(unsigned int childNo) const
inline unsigned int getNumRanges() const
inline RangeList& getRangeList()
inline const RangeList& getRangeList() const

### Public Members

typedef std::pair<float,float> MinMaxPair
typedef std::vector<MinMaxPair> RangeList
enum CenterMode

### Protected Fields

CenterMode _centerMode
Vec3 _userDefinedCenter
RangeList _rangeList

### Inherited from Group:

### Public Methods

virtual Group* asGroup()
virtual const Group* asGroup() const
virtual bool insertChild( unsigned int index, Node* child )
virtual bool replaceChild( Node* origChild, Node* newChild )
inline unsigned int getNumChildren() const
virtual bool setChild( unsigned int i, Node* node )
inline Node* getChild( unsigned int i )
inline const Node* getChild( unsigned int i ) const
inline bool containsNode( const Node* node ) const
inline unsigned int getChildIndex( const Node* node ) const

### Protected Fields

NodeList _children

### Protected Methods

virtual bool computeBound() const

### Inherited from Node:

### Public Methods

virtual Object* cloneType() const
virtual Object* clone(const CopyOp& copyop) const
virtual bool isSameKindAs(const Object* obj) const
virtual const char* libraryName() const
virtual const char* className() const
virtual Transform* asTransform()
virtual const Transform* asTransform() const
virtual void accept(NodeVisitor& nv)
virtual void ascend(NodeVisitor& nv)
inline void setName( const std::string& name )
inline void setName( const char* name )
inline const std::string& getName() const
inline const ParentList& getParents() const
inline ParentList getParents()
inline Group* getParent(unsigned int i)
inline const Group* getParent(unsigned int i) const
inline unsigned int getNumParents() const
void setUpdateCallback(NodeCallback* nc)
inline NodeCallback* getUpdateCallback()
inline const NodeCallback* getUpdateCallback() const
inline unsigned int getNumChildrenRequiringUpdateTraversal() const
void setCullCallback(NodeCallback* nc)
inline NodeCallback* getCullCallback()
inline const NodeCallback* getCullCallback() const
void setCullingActive(bool active)
inline bool getCullingActive() const
inline unsigned int getNumChildrenWithCullingDisabled() const
inline bool isCullingActive() const
inline unsigned int getNumChildrenWithOccluderNodes() const
bool containsOccluderNodes() const
inline void setNodeMask(NodeMask nm)
inline NodeMask getNodeMask() const
inline const DescriptionList& getDescriptions() const
inline DescriptionList& getDescriptions()
inline const std::string& getDescription(unsigned int i) const
inline std::string& getDescription(unsigned int i)
inline unsigned int getNumDescriptions() const
void addDescription(const std::string& desc)
inline void setStateSet(osg::StateSet* dstate)
osg::StateSet* getOrCreateStateSet()
inline osg::StateSet* getStateSet()
inline const osg::StateSet* getStateSet() const
inline const BoundingSphere& getBound() const
void dirtyBound()

### Public Members

typedef std::vector<Group*> ParentList
typedef unsigned int NodeMask
typedef std::vector<std::string> DescriptionList

### Protected Fields

mutable BoundingSphere _bsphere
mutable bool _bsphere_computed
std::string _name
ParentList _parents
ref_ptr<NodeCallback> _updateCallback
unsigned int _numChildrenRequiringUpdateTraversal
ref_ptr<NodeCallback> _cullCallback
bool _cullingActive
unsigned int _numChildrenWithCullingDisabled
unsigned int _numChildrenWithOccluderNodes
NodeMask _nodeMask
DescriptionList _descriptions
ref_ptr<StateSet> _stateset

### Protected Methods

void addParent(osg::Group* node)
void removeParent(osg::Group* node)
void setNumChildrenRequiringUpdateTraversal(unsigned int num)
void setNumChildrenWithCullingDisabled(unsigned int num)
void setNumChildrenWithOccluderNodes(unsigned int num)

### Inherited from Object:

### Public Methods

inline void setDataVariance(DataVariance dv)
inline DataVariance getDataVariance() const
inline void setUserData(Referenced* obj)
inline Referenced* getUserData()
inline const Referenced* getUserData() const

### Public Members

enum DataVariance

### Protected Fields

DataVariance _dataVariance
ref_ptr<Referenced> _userData

### Inherited from Referenced:

### Public Methods

inline Referenced& operator = (Referenced&)
static void setDeleteHandler(DeleteHandler* handler)
static DeleteHandler* getDeleteHandler()
inline void ref() const
inline void unref_nodelete() const
inline int referenceCount() const
inline void unref() const

### Protected Fields

mutable int _refCount

## Documentation

> PagedLOD

`PagedLOD()`

`PagedLOD(const PagedLOD&, const CopyOp& copyop=CopyOp::SHALLOW_COPY)`
  Copy constructor using CopyOp to manage deep vs shallow copy

`META_Node(osg, PagedLOD)`

`virtual void traverse(NodeVisitor& nv)`

`virtual bool addChild(Node* child)`

`virtual bool addChild(Node* child, float min, float max)`

`virtual bool addChild(Node* child, float min, float max, const std::string& filename)`

`virtual bool removeChild(Node* child)`

`typedef std::vector<std::string> FileNameList`

`void setFileName(unsigned int childNo, const std::string& filename)`

`const std::string& getFileName(unsigned int childNo) const`

`inline unsigned int getNumFileNames() const`
  returns the number of filenames currently set.

`inline FileNameList& getFileNameList()`
  return the list of filename

`inline const FileNameList& getFileNameList() const`
  return the list of filename

`typedef std::vector<double> TimeStampList`

`void setTimeStamp(unsigned int childNo, double timeStamp)`

`double getTimeStamp(unsigned int childNo) const`

`inline unsigned int getNumTimeStamps() const`
  returns the number of filenames currently set.

`inline TimeStampList& getTimeStampList()`
  return the list of time stamps

`inline const TimeStampList& getTimeStampList() const`
  return the list of time stamps

`void removeExpiredChildren(double expiryTime, NodeList& removedChildren)`
  Remove the children from the PagedLOD which haven't be visited since specified expiry time. The removed children are added the removeChildren list passed into the method, this allows the children to be deleted later at the callers discression.

`virtual ~PagedLOD()`

`FileNameList _fileNameList`

`TimeStampList _timeStampList`

This class has no child classes.

Alphabetic index HTML hierarchy of classes or Java

This page was generated with the help of DOC++.